from configparser import ConfigParser


class Config:
    def __init__(self, path="settings.ini"):
        self._parser = ConfigParser()
        self._parser.read(path)
    
    @property
    def gotify_url(self):
        return self._parser.get("Webhook", "GotifyURL")

    @property
    def token(self):
        return self._parser.get("Webhook", "Token")

    @property
    def message(self):
        return self._parser.get("Webhook", "Message", fallback="Your Webhook was triggered!")

    @property
    def title(self):
        return self._parser.get("Webhook", "Title", fallback="Webhook")

    @property
    def priority(self):
        return self._parser.getint("Webhook", "Priority", fallback=0)